

// ******************** API ****************************
function canInspectSelection(){
  return true;
}

function inspectSelection(){
  var Color = findObject("Color");
  var Width = findObject("Width");
  var ID = findObject("ID");
  var Size = findObject("Size");
  var Align = findObject("Align");
  var Shade = findObject("Shaded");
  var linkObj = getSelectedObj();

  if (linkObj.getAttribute("Color"))
    Color.value=linkObj.getAttribute("color");
  else
    Color.value = "";	
  if (linkObj.getAttribute("id"))
    ID.value=linkObj.getAttribute("id");
  else
    ID.value = "";	
  if (linkObj.getAttribute("width"))  
    Width.value=linkObj.getAttribute("width");
  else
    Width.value="";	
  if (linkObj.getAttribute("size"))
    Size.value=linkObj.getAttribute("size");
  else
    Size.value = "";	
	
	var alignvalue,whichAlign;
	var alignArray = new Array("","left","center","right");	
	var alignSelect = findObject("Align");
	alignvalue = linkObj.getAttribute("align");
	if(alignvalue){
		for (var i=0; i<alignSelect.options.length; i++){
			if (alignSelect.options[i].text == alignvalue){
				alignSelect.options[i].selected
			}
		}
	}
	else{
		alignSelect.selectedIndex = 0;
	}
	
  if (linkObj.getAttribute("noshade"))
	Shade.checked=false;
  else
    Shade.checked=true;	
}



// ******************** LOCAL FUNCTIONS ****************************

function setLinkTag(){
  var linkObj = getSelectedObj();
  if (findObject("Color").value)
    linkObj.setAttribute("color",findObject("Color").value);
  else
    linkObj.removeAttribute("color");
  if (findObject("ID").value)
    linkObj.setAttribute("id",findObject("ID").value);
  else
    linkObj.removeAttribute("id");

	if (findObject("Width").value){
		var theSelect = findObject("select");
		for (var i=0; i<theSelect.options.length; i++){
			if (theSelect.options[0].selected){
				linkObj.setAttribute("width",findObject("Width").value.replace("%",""));
			}
			else {
			    if(findObject("Width").value.indexOf("%")=="-1"){
					linkObj.setAttribute("width",findObject("Width").value+"%");
				}
				else{
					linkObj.setAttribute("width",findObject("Width").value);
				}
			}
		}
	}
	else{
	linkObj.removeAttribute("width");
	}
	
  if (findObject("Size").value)
    linkObj.setAttribute("size",findObject("Size").value);
  else
    linkObj.removeAttribute("size");

	var alignArray = new Array("","left","center","right");
	var alignSelect = findObject("Align");
	var whichAlign;
	for (var h=0; h<alignSelect.options.length; h++){
		if (alignSelect.options[h].selected){
			whichAlign = alignArray[h];
		}
	}
	if(whichAlign){
		linkObj.setAttribute("align",whichAlign);
	}
	else{
		linkObj.removeAttribute("align");
	}
	
	addNoshade();
}

function addNoshade(){
	var linkObj = getSelectedObj();
	if (!findObject("Shaded").checked){
		linkObj.outerHTML=linkObj.outerHTML.replace(">"," noshade>");
	}
	if (findObject("Shaded").checked){
	linkObj.outerHTML=linkObj.outerHTML.replace(" noshade","");
	}
}

// ******************** GENERIC FUNCTIONS ****************************


function findObject(objName,  parentObj) {
  var i,tempObj="",found=false,curObj = "";
  var NS = (navigator.appName.indexOf("Netscape") != -1);
  if (!NS && document.all) curObj = document.all[objName]; //IE4
  else {
    parentObj = (parentObj != null)? parentObj.document : document;
    if (parentObj[objName] != null) curObj = parentObj[objName]; //at top level
    else { //if in form
      if (parentObj.forms) for (i=0; i<parentObj.forms.length; i++) {  //search level for form object
        if (parentObj.forms[i][objName]) {
          curObj = parentObj.forms[i][objName];
          found = true; break;
      } }
      if (!found && NS && parentObj.layers && parentObj.layers.length > 0) {
        parentObj = parentObj.layers;
        for (i=0; i<parentObj.length; i++) { //else search for child ayers
          tempObj = findObject(objName,parentObj[i]); //recurse
          if (tempObj) { curObj = tempObj; break;} //if found, done
  } } } }
  return curObj;
}

// ******************** GENERIC DOM MANIPULATION FUNCTIONS ****************************

//Returns the selected object
function getSelectedObj() {
  var selArr=dreamweaver.getSelection();
  return dreamweaver.offsetsToNode(selArr[0],selArr[1]);
}

